<?php namespace Manage\Api;
use Dever;
use Manage\Lib\Auth;
class Icon extends Auth
{
    public function list()
    {
        $set['num'] = Dever::input('pgnum', '', '', 16);
        $key = Dever::input('title');
        $where = [];
        if ($key) {
            $where['key'] = ['like', $key];
        }
        $data['list'] = Dever::db('icon', 'manage')->select($where, $set);
        $data['total'] = Dever::page('total');
        return $data;
    }
}